Test Project - Feature #761

Code Suggestion about feature no #753
10/25/2023 11:50 PM - Minxu YANG

Status: New Start date: 10/25/2023
Priority: Normal Due date:

Assignee: Minxu YANG % Done: 100%
Category: Estimated time: 2.00 hours
Target version: Spent time: 2.08 hours
Description

Suggested changes

If the configuration file (config.ini by default) does not exist or is not in the specified path, the config.read(config_path) line will not
raise an error, but any subsequent attempts to access keys in the configuration file will.

If the expected keys (like imageWidthPx, imageWidthCm, etc.) are not found in the configuration file, the methods will raise a
KeyError.

If the values in the configuration file are not of the expected format (e.g., a non-numeric value for imageWidthPx), the type
conversion (like int() or float()) will raise a ValueError.

Modified code
See the file config_reader_plus.py

History

#1 - 10/25/2023 11:51 PM - Minxu YANG

- Tracker changed from Bug to Feature

#2 - 10/25/2023 11:51 PM - Minxu YANG
- Assignee changed from Baizid Al HAMID to Minxu YANG

#3 - 10/25/2023 11:54 PM - Minxu YANG
- Subject changed from Code Suggestion to Code Suggestion about feature no #753

#4 - 10/26/2023 12:02 AM - Minxu YANG
- Estimated time set to 2.00 h

#5 - 10/26/2023 11:25 AM - Baizid Al HAMID

This was not an assigned task for this week. And refrain from making further Redmine issues without consulting the Project Leader as well.
-Project Manager

#6 - 10/26/2023 11:26 AM - Baizid Al HAMID

- Project changed from G11-2023 to Test Project
- Parent task deleted (#753)

Files

config_reader plus.py 1.92 KB 10/25/2023 Minxu YANG
